
From Bartlomiej Zolnierkiewicz

With !CONFIG_PROC_FS, ieee1394_core fails to compile because the argument to
this inline is still evaluated.  But it doesn't exist.

A general fix is to not evaluate the arg at all.



 include/linux/proc_fs.h |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN include/linux/proc_fs.h~remove_proc_entry-fix include/linux/proc_fs.h
--- 25/include/linux/proc_fs.h~remove_proc_entry-fix	2003-06-07 13:07:46.000000000 -0700
+++ 25-akpm/include/linux/proc_fs.h	2003-06-07 13:08:51.000000000 -0700
@@ -205,7 +205,8 @@ static inline void proc_pid_flush(struct
 static inline struct proc_dir_entry *create_proc_entry(const char *name,
 	mode_t mode, struct proc_dir_entry *parent) { return NULL; }
 
-static inline void remove_proc_entry(const char *name, struct proc_dir_entry *parent) {};
+#define remove_proc_entry(name, parent) do {} while (0)
+
 static inline struct proc_dir_entry *proc_symlink(const char *name,
 		struct proc_dir_entry *parent,char *dest) {return NULL;}
 static inline struct proc_dir_entry *proc_mknod(const char *name,mode_t mode,

_
